org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class GridNearReadRepairAbstractFuture.ByteArrayWrapper

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture.ByteArrayWrapper

Enclosing class:
  GridNearReadRepairAbstractFuture

    protected static final class GridNearReadRepairAbstractFuture.ByteArrayWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayWrapper(byte[] arr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayWrapper

    public ByteArrayWrapper(byte[] arr)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023